Bug 1199840 - Review Request: thymeleaf - XML/XHTML/HTML5 template engine for Java
Summary: Review Request: thymeleaf - XML/XHTML/HTML5 template engine for Java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1199839
Blocks: 1199843
TreeView+ depends on / blocked
 
Reported: 2015-03-08 21:29 UTC by gil cattaneo
Modified: 2015-04-21 18:31 UTC (History)
2 users (show)

Fixed In Version: thymeleaf-2.1.4-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:31:37 UTC
Type: ---
msimacek: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)
test failed with system xhtml1-dtds support (9.94 KB, patch)
2015-03-21 00:10 UTC, gil cattaneo
no flags Details | Diff
test without system xhtml1-dtds (5.00 KB, patch)
2015-03-21 00:12 UTC, gil cattaneo
no flags Details | Diff
W3C license (2.43 KB, patch)
2015-03-30 09:31 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2015-03-08 21:29:52 UTC
Spec URL: https://gil.fedorapeople.org/thymeleaf.spec
SRPM URL: https://gil.fedorapeople.org/thymeleaf-2.1.4-1.fc20.src.rpm
Description:
Thymeleaf is a Java library. It is an XML/XHTML/HTML5 template engine
(extensible to other formats) that can work both in web and
non-web environments. It is better suited for serving XHTML/HTML5 at the
view layer of web applications, but it can process any XML file
even in offline environments.
Fedora Account System Username: gil

Comment 1 Michael Simacek 2015-03-19 14:25:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- There are bundled DTD, I think some of them could be replaced with system
  versions that are part of Fedora packages
- Some of the DTDs are modified and probably cannot be unbundled. The license
  tag needs to reflect this. License: ASL 2.0 and W3C


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 56 files have unknown license.
     Detailed output of licensecheck in
     /home/msimacek/reviews/1199840-thymeleaf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in thymeleaf-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: thymeleaf-2.1.4-1.fc23.noarch.rpm
          thymeleaf-javadoc-2.1.4-1.fc23.noarch.rpm
          thymeleaf-2.1.4-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
thymeleaf (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.commons:commons-ognl)
    mvn(org.javassist:javassist)
    mvn(org.slf4j:slf4j-api)
    mvn(org.unbescape:unbescape)

thymeleaf-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
thymeleaf:
    mvn(org.thymeleaf:thymeleaf)
    mvn(org.thymeleaf:thymeleaf:pom:)
    thymeleaf

thymeleaf-javadoc:
    thymeleaf-javadoc



Source checksums
----------------
https://github.com/thymeleaf/thymeleaf/archive/thymeleaf-2.1.4.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : 70d2e784d959ccef6dcbc71055fcde698e38eb0f028a932dac4da9fba63fbf18
  CHECKSUM(SHA256) upstream package : 70d2e784d959ccef6dcbc71055fcde698e38eb0f028a932dac4da9fba63fbf18


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1199840
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 gil cattaneo 2015-03-19 19:31:42 UTC
Spec URL: https://gil.fedorapeople.org/thymeleaf.spec
SRPM URL: https://gil.fedorapeople.org/thymeleaf-2.1.4-2.fc20.src.rpm

- fix license tag
- remove bundled xhtml1-dtds

Comment 3 gil cattaneo 2015-03-21 00:10:44 UTC
Created attachment 1004701 [details]
test failed with system xhtml1-dtds support

Comment 4 gil cattaneo 2015-03-21 00:12:06 UTC
Created attachment 1004702 [details]
test without system xhtml1-dtds

Comment 5 gil cattaneo 2015-03-21 00:29:01 UTC
Bundling exception for Thymeleaf (DTDs) @ https://fedorahosted.org/fpc/ticket/516

Comment 6 gil cattaneo 2015-03-27 01:55:23 UTC
(In reply to gil cattaneo from comment #5)
> Bundling exception for Thymeleaf (DTDs) @
> https://fedorahosted.org/fpc/ticket/516
was accepted

Comment 7 Michael Simacek 2015-03-30 08:42:50 UTC
Good. The W3C software license [1] requires the license text to be distributed along the software, so it should be included as additional source.

[1] http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231

Comment 8 gil cattaneo 2015-03-30 09:31:13 UTC
(In reply to Michael Simacek from comment #7)
> Good. The W3C software license [1] requires the license text to be
> distributed along the software, so it should be included as additional
> source.
> 
> [1] http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231

I did not find any license file in txt format. any idea how I could get it or just copy the page you indicated?

Comment 9 gil cattaneo 2015-03-30 09:31:59 UTC
Created attachment 1008313 [details]
W3C license

Comment 10 Michael Simacek 2015-03-30 10:41:06 UTC
(In reply to gil cattaneo from comment #8)
> (In reply to Michael Simacek from comment #7)
> > Good. The W3C software license [1] requires the license text to be
> > distributed along the software, so it should be included as additional
> > source.
> > 
> > [1] http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
> 
> I did not find any license file in txt format. any idea how I could get it
> or just copy the page you indicated?

Just copy it and include a link to the page you copied it from

Comment 11 gil cattaneo 2015-03-30 11:03:02 UTC
(In reply to Michael Simacek from comment #10)
> (In reply to gil cattaneo from comment #8)
> > (In reply to Michael Simacek from comment #7)
> > > Good. The W3C software license [1] requires the license text to be
> > > distributed along the software, so it should be included as additional
> > > source.
> > > 
> > > [1] http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
> > 
> > I did not find any license file in txt format. any idea how I could get it
> > or just copy the page you indicated?
> 
> Just copy it and include a link to the page you copied it from

as in the attached file? https://bugzilla.redhat.com/attachment.cgi?id=1008313&action=diff

Comment 12 Michael Simacek 2015-03-30 11:05:33 UTC
(In reply to gil cattaneo from comment #11)
> (In reply to Michael Simacek from comment #10)
> > (In reply to gil cattaneo from comment #8)
> > > (In reply to Michael Simacek from comment #7)
> > > > Good. The W3C software license [1] requires the license text to be
> > > > distributed along the software, so it should be included as additional
> > > > source.
> > > > 
> > > > [1] http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231
> > > 
> > > I did not find any license file in txt format. any idea how I could get it
> > > or just copy the page you indicated?
> > 
> > Just copy it and include a link to the page you copied it from
> 
> as in the attached file?
> https://bugzilla.redhat.com/attachment.cgi?id=1008313&action=diff

yes

Comment 13 gil cattaneo 2015-03-30 11:23:50 UTC
Spec URL: https://gil.fedorapeople.org/thymeleaf.spec
SRPM URL: https://gil.fedorapeople.org/thymeleaf-2.1.4-3.fc20.src.rpm

- add W3C license

Comment 14 Michael Simacek 2015-03-30 11:32:23 UTC
Please just add a comment above the source with the link to the license page you took the text from. You can do it during the import. APPROVED

Comment 15 gil cattaneo 2015-03-30 11:44:57 UTC
Sure! Thanks!

New Package SCM Request
=======================
Package Name: thymeleaf
Short Description: XML/XHTML/HTML5 template engine for Java
Upstream URL: http://www.thymeleaf.org/
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 16 Patrick Uiterwijk 2015-03-30 20:12:05 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2015-03-31 05:19:55 UTC
thymeleaf-2.1.4-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/thymeleaf-2.1.4-3.fc22

Comment 18 Fedora Update System 2015-04-02 01:43:05 UTC
thymeleaf-2.1.4-3.fc22 has been pushed to the Fedora 22 testing repository.

Comment 19 Fedora Update System 2015-04-21 18:31:37 UTC
thymeleaf-2.1.4-3.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.